Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.jsi
Class JSIHandlerThread

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.comm.jsi.JSIHandlerThread

public abstract class JSIHandlerThread
extends java.lang.Object
implements java.lang.Runnable

Runnable used to dispatch and reply to messages received over a given JSIChannel.

Method Summary
`void` | `run()`
`abstract void` | `shutdown()` Call back method used when a SHUTDOWN message is received.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### shutdown

    public abstract void shutdown()

  Call back method used when a SHUTDOWN message is received.

### run

    public void run()

  Specified by:
    run in interface java.lang.Runnable

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002